import re
import json

from flask import Flask, request
import xmltodict

app = Flask(__name__)

@app.route('/')
def hello_world():
    return "Alive!"

@app.route('/pnp/HELLO')
def pnp_hello():
    return "", 200

@app.route('/pnp/WORK-REQUEST', methods=['POST'])
def pnp_work_request():
    src_ip = request.environ.get('HTTP_X_REAL_IP', request.remote_addr)
    data = xmltodict.parse(request.data)
    print(json.dumps(data, indent=2))

